<!DOCTYPE html>
<html lang="pl">

<head>
    <meta charset="UTF-8">
    <title>Blog kulinarny</title>
    <link rel="stylesheet" href="styl.css">
</head>

<body>
    <aside>
        <a href="przepisy.php?id=1">Sernik</a><br>
        <a href="przepisy.php?id=2">Sałatka</a><br>
        <a href="przepisy.php?id=3">Pankejki</a><br>
        <a href="przepisy.php?id=4">Nugetsy</a><br>
        <a href="przepisy.php?id=5">Łosoś</a><br>
        <a href="przepisy.php?id=6">Kociołek</a><br>
        <a href="przepisy.php?id=7">Jagnięcina</a><br>
        <a href="przepisy.php?id=8">Hamburgery</a><br>
        <a href="przepisy.php?id=9">Eklerki</a><br>
        <a href="przepisy.php?id=10">Churros</a>
        <p>Autor: Egzaminy24.pl (W)</p>
    </aside>
    <main>
        <?php
            $id = 7;
            if (isset($_GET['id'])) {
                $id = $_GET['id'];
            }
            $conn = mysqli_connect('localhost', 'root', '', 'przepisy');
            $query = "SELECT potrawy.nazwa, rodzaje.rodzaj FROM potrawy INNER JOIN rodzaje ON potrawy.idRodzaje = rodzaje.idRodzaje WHERE potrawy.idPotrawy = $id;";
            $result = mysqli_query($conn, $query);
            $row = mysqli_fetch_array($result);
            echo "<h1>{$row['rodzaj']}</h1>";

            $query1 = "SELECT nazwa, trudnosc, kalorie FROM potrawy WHERE idPotrawy = $id;";
            $result = mysqli_query($conn, $query1);
            $row = mysqli_fetch_array($result);
            echo "<h2>{$row['nazwa']}</h2>";
            if ($row['trudnosc'] == 1) $trud = 'łatwe';
            elseif ($row['trudnosc'] == 2) $trud = 'średnie';
            else $trud = 'trudne';
            echo "<p>Trudność: $trud, Kalorie: {$row['kalorie']}</p>";
            ?>
            <img src="separator.png" alt="przepis">
            <p>Alergeny:
                <?php
                $query2 = "SELECT alergeny.alergen FROM potrawy INNER JOIN lista_alergenow ON potrawy.idPotrawy = lista_alergenow.idPotrawy INNER JOIN alergeny ON lista_alergenow.idAlergeny = alergeny.idAlergeny WHERE potrawy.idPotrawy = $id;";
                $result = mysqli_query($conn, $query2);
                while ($row_a = mysqli_fetch_array($result)) {
                    echo "{$row_a['alergen']} ";
                }
        ?>
        </p>
        <h2>Składniki</h2>
            <ul>
                <?php
                $plik = file("lista.txt");

                foreach($plik as $element){
                    echo "<li>$element</li>";
                }
                ?>
            </ul>
        <?php
            $query3 = "SELECT przepis, plik FROM potrawy WHERE idPotrawy = $id;";
            $result = mysqli_query($conn, $query3);
            $row_s = mysqli_fetch_array($result);
        ?>
        <p><?php echo $row_s['przepis']; ?></p>
    </main>
    <section style="background-image: url('<?= $row_s['plik'] ?>')">
        <h1>Blog Kulinarny</h1>
    </section>
    <?php 
        mysqli_close($conn); 
    ?>
</body>

</html>